Subject: bug#25418: Proposal to quiet file size modified warning

From: Paul Eggert <[email-masked]>
Date: Wed, 11 Jan 2017 15:38:24 -0800

On 01/11/2017 02:16 PM, Jason Leschnik wrote:
> Does Gzip still produce a valid archive if the file changes
> part way through execution?

It depends on what one means by "valid". Although gzip won't dump core,
it might generate output that does not correspond to any version of the
input. The problems when a similar situation occurs when uncompressing
are worse, I expect.